//
//  GnsPopDefine.h
//  mansory
//
//  Created by Lyn on 2017/6/7.
//  Copyright © 2017年 Lyn. All rights reserved.
//

#ifndef GnsPopDefine_h
#define GnsPopDefine_h
//dlog
#ifdef DEBUG
#define DLog(fmt, ...) NSLog((@"%s [Line %d] " fmt), __PRETTY_FUNCTION__, __LINE__, ##__VA_ARGS__);
#else
#define DLog(...)
#endif


#define kCOLOR(r,g,b) [UIColor colorWithRed:r/255.0 green:g/255.0 blue:b/255.0 alpha:1]

#define kaCOLOR(R, G, B, A) [UIColor colorWithRed:R/255.0 green:G/255.0 blue:B/255.0 alpha:A]

//屏幕的宽
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width
//屏幕的高
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height
//弱引用
#define KWS(weakSelf) __weak __typeof(&*self) weakSelf=self

#endif /* GnsPopDefine_h */
